Subject: Re: [Jmap] Roman Danyliw's No Objection on draft-ietf-jmap-smime-09: (with COMMENT)

From: Alexey Melnikov <[email-masked]>
Date: Thu, 18 Nov 2021 19:21:16 +0000

Hi Roman,

On 21/10/2021 15:16, Alexey Melnikov wrote:

> Hi Roman,
>
> On 19/10/2021 01:09, Roman Danyliw via Datatracker wrote:
>> ----------------------------------------------------------------------
>> COMMENT:
>> ----------------------------------------------------------------------
>>
>> ** Section 4.1.   Recommend sticking to verification practices by 
>> citation when
>> defining the semantics of “smimeStatus”
>>
>> OLD
>> signed/verified:  S/MIME signed message and the sender's signature
>>        was successfully verified, the sender matches the From header
>>        field, and the sender's certificate (and the certificate 
>> chain) is
>>        trusted for signing.
>>
>>     signed/failed:  S/MIME signed message, but the signature failed to
>>        verify.
>>
>> NEW
>> signed/verified:  S/MIME signed message and the sender's signature was
>> successfully verified per the verification process in [RFC8551] and 
>> [RFC8550].
>>
>> signed/failed:  S/MIME signed message, but the signature failed 
>> to      verify
>> per the processes in [RFC8551] and [RFC8550].
> [RFC8551] and [RFC8550] are already listed earlier on when smimeStatus 
> is described in more general terms, so implementing your suggestion 
> becomes less urgent. Let me think a bit more about the best way of 
> updating the draft to reflect this comment.

This should be clarified in -11.

Best Regards,

Alexey